Create a Marker Setting
curl --request POST \
--url https://api.honeycomb.io/1/marker_settings/{datasetSlug} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"type": "deploy",
"color": "#7b1fa2"
}
'import requests
url = "https://api.honeycomb.io/1/marker_settings/{datasetSlug}"
payload = {
"type": "deploy",
"color": "#7b1fa2"
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'deploy', color: '#7b1fa2'})
};
fetch('https://api.honeycomb.io/1/marker_settings/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/marker_settings/{datasetSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'deploy',
'color' => '#7b1fa2'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/marker_settings/{datasetSlug}"
payload := strings.NewReader("{\n \"type\": \"deploy\",\n \"color\": \"#7b1fa2\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.honeycomb.io/1/marker_settings/{datasetSlug}")
.header("X-Honeycomb-Team", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"deploy\",\n \"color\": \"#7b1fa2\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/marker_settings/{datasetSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"deploy\",\n \"color\": \"#7b1fa2\"\n}"
response = http.request(request)
puts response.read_body{
"type": "deploy",
"color": "#7b1fa2",
"id": "gwAHiE5TS4j",
"created_at": "2022-09-15T05:39:42Z",
"updated_at": "2022-12-15T04:25:14Z"
}{
"error": "dataset not found"
}{
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"error": "The provided input is invalid.",
"title": "The provided input is invalid",
"type_detail": [
{
"field": "type",
"code": "invalid",
"description": "type: must be a valid value"
}
]
}{
"error": "Rate Limited"
}Create a Marker Setting
POST
/
1
/
marker_settings
/
{datasetSlug}
Create a Marker Setting
curl --request POST \
--url https://api.honeycomb.io/1/marker_settings/{datasetSlug} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"type": "deploy",
"color": "#7b1fa2"
}
'import requests
url = "https://api.honeycomb.io/1/marker_settings/{datasetSlug}"
payload = {
"type": "deploy",
"color": "#7b1fa2"
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'deploy', color: '#7b1fa2'})
};
fetch('https://api.honeycomb.io/1/marker_settings/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/marker_settings/{datasetSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'deploy',
'color' => '#7b1fa2'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/marker_settings/{datasetSlug}"
payload := strings.NewReader("{\n \"type\": \"deploy\",\n \"color\": \"#7b1fa2\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.honeycomb.io/1/marker_settings/{datasetSlug}")
.header("X-Honeycomb-Team", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"deploy\",\n \"color\": \"#7b1fa2\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/marker_settings/{datasetSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"deploy\",\n \"color\": \"#7b1fa2\"\n}"
response = http.request(request)
puts response.read_body{
"type": "deploy",
"color": "#7b1fa2",
"id": "gwAHiE5TS4j",
"created_at": "2022-09-15T05:39:42Z",
"updated_at": "2022-12-15T04:25:14Z"
}{
"error": "dataset not found"
}{
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"error": "The provided input is invalid.",
"title": "The provided input is invalid",
"type_detail": [
{
"field": "type",
"code": "invalid",
"description": "type: must be a valid value"
}
]
}{
"error": "Rate Limited"
}Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
Body
application/json
Response
Success